
package com.tmerclub.cloud.seckill.dto;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * DTO
 *
 * @author tmerclub
 * @date 2023-11-23 15:32:01
 */
public class SeckillStockPointSkuDTO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "库存商品关联skuid")
    private Long seckillStockPointSkuId;

    @Schema(description = "库存点id")
    private Long stockPointId;

    @Schema(description = "库存点类型 1仓库 2门店")
    private Integer stockPointType;

    @Schema(description = "sku_id")
    private Long skuId;

    @Schema(description = "秒杀活动skuid")
    private Long seckillSkuId;

    @Schema(description = "状态 1:enable, 0:disable, -1:deleted")
    private Integer status;

    @Schema(description = "仓库类型（0默认仓库，1区域仓库）")
    private Integer type;

    @Schema(description = "库存")
    private Integer stock;

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public Long getSeckillStockPointSkuId() {
        return seckillStockPointSkuId;
    }

    public void setSeckillStockPointSkuId(Long seckillStockPointSkuId) {
        this.seckillStockPointSkuId = seckillStockPointSkuId;
    }

    public Long getStockPointId() {
        return stockPointId;
    }

    public void setStockPointId(Long stockPointId) {
        this.stockPointId = stockPointId;
    }

    public Integer getStockPointType() {
        return stockPointType;
    }

    public void setStockPointType(Integer stockPointType) {
        this.stockPointType = stockPointType;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getSeckillSkuId() {
        return seckillSkuId;
    }

    public void setSeckillSkuId(Long seckillSkuId) {
        this.seckillSkuId = seckillSkuId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "SeckillStockPointSkuDTO{" +
                "seckillStockPointSkuId=" + seckillStockPointSkuId +
                ",stockPointId=" + stockPointId +
                ",stockPointType=" + stockPointType +
                ",skuId=" + skuId +
                ",seckillSkuId=" + seckillSkuId +
                ",status=" + status +
                ",type=" + type +
                ",stock=" + stock +
                '}';
    }
}
